# Retrieve a usage record Describes how to retrieve usage details for an account. Usage data is returned in reverse chronological order. Endpoint: GET /v1/usage/accounts/{account-key} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `rejectUnknownFields` (boolean) Specifies whether the call fails if the request body contains unknown fields. With rejectUnknownFields set to true, Zuora returns a 400 response if the request body contains unknown fields. The body of the 400 response is: json { "message": "Error - unrecognised fields" } By default, Zuora ignores unknown fields in the request body. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. - `usage` (array) Contains one or more usage items. - `usage.accountId` (string) Customer account ID. - `usage.accountName` (string) Customer account name. - `usage.accountNumber` (string) Customer account number. - `usage.chargeNumber` (string) Number of the rate-plan charge that pays for this usage. - `usage.fileName` (string) The name of the import file when the usage record is imported from the file. - `usage.id` (string) Unique ID for the usage item. - `usage.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `usage.productRatePlanChargeNumber` (string) Specify a product rate plan charge number so that you can charge your customer with a dynamic usage charge for the corresponding uploaded usage record. Note: This field is only available if you have the Dynamic Usage Charges feature enabled. - `usage.quantity` (number) Number of units used. - `usage.sourceName` (string) Source of the usage data. Possible values are: Import, API. - `usage.startDateTime` (string) Start date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date. - `usage.status` (string) Possible values are: Importing, Pending, Processed. - `usage.submissionDateTime` (string) Date when usage was submitted. - `usage.subscriptionNumber` (string) Number of the subscription covering this usage. - `usage.uniqueKey` (string) a customer-defined specific identifier of a usage record. Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature or the Unbilled Usage feature enabled. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Prepaid_balance_transactions#Upload_usage_record_with_unique_key) for more information. - `usage.unitOfMeasure` (string) Unit used to measure consumption. ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/rest-api/general-concepts/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 500 fields (application/json): - `reasons` (array) - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response.